虽然我觉得这完全没有必要,也不值得普林斯这么做,但我想指出一点关于你的选择。圆角将工作时,只饲料2搪瓷,但会给混合的结果。始终为其提供“(ename点)。李,没有什么对你不利的,我只是想知道。
- (defun c:fil (/ *error* e1 e2 vl ov)
- (vl-load-com)
- (defun *error* (e)
- (and ov (mapcar 'setvar vl ov))
- (or (wcmatch (strcase e) "*BREAK,*CANCEL*,*EXIT*")
- (princ (strcat "\n** Error: " e " **")))
- (princ))
-
- (while
- (progn
- (setq e1 (entsel "\nSelect First Object: "))
- (cond ( (eq 'ENAME (type (car e1)))
- (if (vl-position (cdr (assoc 0 (entget (car e1)))) '("LINE" "LWPOLYLINE" "ARC"))
- (while
- (progn
- (setq e2 (entsel "\nSelect Second Object: "))
- (cond ( (eq 'ENAME (type (car e2)))
- (if (not (vl-position (cdr (assoc 0 (entget (car e2)))) '("LINE" "LWPOLYLINE" "ARC")))
- (princ "\n** Object must be Line/Polyline/Arc **"))))))
-
- (princ "\n** Object must be Line/Polyline/Arc **"))))))
- (setq vl '("CMDECHO" "OSMODE" "FILLETRAD") ov (mapcar 'getvar vl))
- (mapcar 'setvar vl '(0 0 0.0))
- (vl-cmdf "_.fillet" e1 e2)
- (mapcar 'setvar vl ov)
- (princ))
只要修剪一下,把所有的东西都当作尖端。然后只需选择这两条线。 |